package daemon

import (
	"testing"
)

/*
func TestCorrectTotal(t *testing.T) {
	//total := 58.5
	//total = total - 8

	total, _ := strconv.ParseFloat("68.000", 64)

	//total := 68.0

	total = correctTotal(total, roundUp)

	fmt.Printf("%.2f\n", total)
}
*/
/*
func TestOver(t *testing.T) {
	s := NewHandballFTOver(StrategyOptions{
		ID: 1,
	})

	match := &TeamMatch{
		TipTotalOver:             50.5,
		BasicUnderGoalsPerMinute: 1, // 1 гол в минуту
	}

	upd := onexbet.TeamLiveMatchData{
		CurrentTime: 20 * 60, // 30 min
		HomeGoals:   12,
		AwayGoals:   10,
		Total: onexbet.Total{
			Over: []onexbet.ParamOffer{
				{
					Price: 1.41,
					Param: "48.5",
				},
				{
					Price: 1.5,
					Param: "49.5",
				},
				{
					Price: 1.51,
					Param: "50.5",
				},
				{
					Price: 1.65,
					Param: "51.5",
				},
				{
					Price: 1.85,
					Param: "52.5",
				},
			},
		},
	}

	comment, bet, code := s.GetTip(match, upd)

	fmt.Printf("Code: %d\n", code)
	fmt.Printf("Comment: %s\n", comment)

	buf, _ := json.MarshalIndent(bet, "", "    ")
	fmt.Printf("Bet: %s\n", buf)
}
*/

func TestTelegram(t *testing.T) {
	err := sendMessageToTelegramGroup("754217958", "Персональное сообщение Максиму")
	if err != nil {
		t.Fatal(err)
	}
}
